package com.steering.mes.zgmil.entity;

/**
 * 数据库表MIL_ROLLING_HISTORY所对应的实体类（生成工具：代码生成器2.4）
 * @author DM22222   date 2015-07-24
 */
public class MilRollingHistoryEntity {
    /**
     * 序号
     */
    private String seq;
    /**
     * 前道工序剔除标识
     */
    private String deleteFlag;
    /**
     * 连轧脱管结束时间
     */
    private String endRollingTime;
    /**
     * 连轧开始温度
     */
    private String startRollingTemp;
    /**
     * 连轧结束温度
     */
    private String endRollingTemp;
    /**
     * 荒管外径
     */
    private String tubeDiameter;
    /**
     * 荒管壁厚
     */
    private String tubeWallThickness;
    /**
     * 荒管长度
     */
    private String tubeLength;
    /**
     * 组炉标识(0-未组炉 1-组炉)
     */
    private String groupFlag;
    /**
     * 组炉前炉号
     */
    private String beforeHeatNo;
    /**
     * 组炉前物料号
     */
    private String beforeMatNo;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 材料号
     */
    private String matNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 钢级代码
     */
    private String steelcode;
    /**
     * 钢级名称
     */
    private String steelname;
    /**
     * 钢种代码
     */
    private String gradecode;
    /**
     * 钢种名称
     */
    private String gradename;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 状态（0-正常轧制，1-剔除）
     */
    private String status;
    /**
     * 连轧脱管开始时间
     */
    private String startRollingTime;

    public MilRollingHistoryEntity(){
        seq = "";
        deleteFlag = "";
        endRollingTime = "";
        startRollingTemp = "";
        endRollingTemp = "";
        tubeDiameter = "";
        tubeWallThickness = "";
        tubeLength = "";
        groupFlag = "";
        beforeHeatNo = "";
        beforeMatNo = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        matNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        steelcode = "";
        steelname = "";
        gradecode = "";
        gradename = "";
        plineCode = "";
        status = "";
        startRollingTime = "";
    }

    /**
     * 序号
     * @return value
     */
    public String getSeq() {
        return seq;
    }

    /**
     * 序号
     * @param seq value
     */
    public void setSeq(String seq) {
        this.seq = seq;
    }

    /**
     * 前道工序剔除标识
     * @return value
     */
    public String getDeleteFlag() {
        return deleteFlag;
    }

    /**
     * 前道工序剔除标识
     * @param deleteFlag value
     */
    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    /**
     * 连轧脱管结束时间
     * @return value
     */
    public String getEndRollingTime() {
        return endRollingTime;
    }

    /**
     * 连轧脱管结束时间
     * @param endRollingTime value
     */
    public void setEndRollingTime(String endRollingTime) {
        this.endRollingTime = endRollingTime;
    }

    /**
     * 连轧开始温度
     * @return value
     */
    public String getStartRollingTemp() {
        return startRollingTemp;
    }

    /**
     * 连轧开始温度
     * @param startRollingTemp value
     */
    public void setStartRollingTemp(String startRollingTemp) {
        this.startRollingTemp = startRollingTemp;
    }

    /**
     * 连轧结束温度
     * @return value
     */
    public String getEndRollingTemp() {
        return endRollingTemp;
    }

    /**
     * 连轧结束温度
     * @param endRollingTemp value
     */
    public void setEndRollingTemp(String endRollingTemp) {
        this.endRollingTemp = endRollingTemp;
    }

    /**
     * 荒管外径
     * @return value
     */
    public String getTubeDiameter() {
        return tubeDiameter;
    }

    /**
     * 荒管外径
     * @param tubeDiameter value
     */
    public void setTubeDiameter(String tubeDiameter) {
        this.tubeDiameter = tubeDiameter;
    }

    /**
     * 荒管壁厚
     * @return value
     */
    public String getTubeWallThickness() {
        return tubeWallThickness;
    }

    /**
     * 荒管壁厚
     * @param tubeWallThickness value
     */
    public void setTubeWallThickness(String tubeWallThickness) {
        this.tubeWallThickness = tubeWallThickness;
    }

    /**
     * 荒管长度
     * @return value
     */
    public String getTubeLength() {
        return tubeLength;
    }

    /**
     * 荒管长度
     * @param tubeLength value
     */
    public void setTubeLength(String tubeLength) {
        this.tubeLength = tubeLength;
    }

    /**
     * 组炉标识(0-未组炉 1-组炉)
     * @return value
     */
    public String getGroupFlag() {
        return groupFlag;
    }

    /**
     * 组炉标识(0-未组炉 1-组炉)
     * @param groupFlag value
     */
    public void setGroupFlag(String groupFlag) {
        this.groupFlag = groupFlag;
    }

    /**
     * 组炉前炉号
     * @return value
     */
    public String getBeforeHeatNo() {
        return beforeHeatNo;
    }

    /**
     * 组炉前炉号
     * @param beforeHeatNo value
     */
    public void setBeforeHeatNo(String beforeHeatNo) {
        this.beforeHeatNo = beforeHeatNo;
    }

    /**
     * 组炉前物料号
     * @return value
     */
    public String getBeforeMatNo() {
        return beforeMatNo;
    }

    /**
     * 组炉前物料号
     * @param beforeMatNo value
     */
    public void setBeforeMatNo(String beforeMatNo) {
        this.beforeMatNo = beforeMatNo;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 材料号
     * @return value
     */
    public String getMatNo() {
        return matNo;
    }

    /**
     * 材料号
     * @param matNo value
     */
    public void setMatNo(String matNo) {
        this.matNo = matNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 钢级代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 状态（0-正常轧制，1-剔除）
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 状态（0-正常轧制，1-剔除）
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 连轧脱管开始时间
     * @return value
     */
    public String getStartRollingTime() {
        return startRollingTime;
    }

    /**
     * 连轧脱管开始时间
     * @param startRollingTime value
     */
    public void setStartRollingTime(String startRollingTime) {
        this.startRollingTime = startRollingTime;
    }
}
